VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{EEB96F74-14D2-11D3-A1BB-B6FC7F000000}#1.0#0"; "MP3OCX.OCX"
Begin VB.Form frmMP3ocx 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "MP3ocx (Demo by Marco Minerva)"
   ClientHeight    =   2895
   ClientLeft      =   1605
   ClientTop       =   1545
   ClientWidth     =   7575
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2895
   ScaleWidth      =   7575
   ShowInTaskbar   =   0   'False
   Begin VB.OptionButton optOscilloscopio 
      Caption         =   "O&scilloscopio spettro"
      Height          =   195
      Index           =   1
      Left            =   5040
      TabIndex        =   8
      Top             =   2520
      Width           =   1815
   End
   Begin VB.OptionButton optOscilloscopio 
      Caption         =   "&Oscilloscopio onde"
      Height          =   195
      Index           =   0
      Left            =   5040
      TabIndex        =   7
      Top             =   2160
      Value           =   -1  'True
      Width           =   1695
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6960
      Top             =   2160
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
      Filter          =   "File audio MP3 (*.mp3)|*.mp3"
   End
   Begin VB.CommandButton Command4 
      Caption         =   "&Stop"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3000
      TabIndex        =   6
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CommandButton Command3 
      Caption         =   "P&ausa"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1560
      TabIndex        =   5
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "&Play"
      Default         =   -1  'True
      Enabled         =   0   'False
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   2280
      Width           =   1215
   End
   Begin MP3OCXLib.Mp3OCX Mp3OCX 
      Height          =   975
      Left            =   240
      TabIndex        =   3
      Top             =   960
      Width           =   7095
      _Version        =   65536
      _ExtentX        =   12515
      _ExtentY        =   1720
      _StockProps     =   161
      DividerColor    =   0
      LeftChanColor   =   12582912
      RightChanColor  =   255
   End
   Begin VB.CommandButton Command1 
      Caption         =   "..."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   6960
      TabIndex        =   2
      Top             =   440
      Width           =   375
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   240
      TabIndex        =   1
      Top             =   480
      Width           =   6615
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "&Nome file:"
      Height          =   195
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   705
   End
End
Attribute VB_Name = "frmMP3ocx"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
    On Error GoTo GestoreErrori
    'Visualizza la finestra di dialogo "Apri file".
    With CommonDialog1
        .Flags = cdlOFNFileMustExist Or cdlOFNPathMustExist Or cdlOFNHideReadOnly
        .ShowOpen
    End With
    'Interrompe la riproduzione.
    Mp3OCX.Stop
    Text1.Text = CommonDialog1.FileName
    Command2.Enabled = True
    Exit Sub
GestoreErrori:
    If Err.Number = 32755 Then Exit Sub 'Pulsate Annulla
End Sub

Private Sub Command2_Click()
    'Avvia la riproduzione.
    Mp3OCX.Play Text1.Text
End Sub

Private Sub Command3_Click()
    'Interrompe/riprende la riproduzione.
    Mp3OCX.Pause
    If Mp3OCX.PlayState = 1 Then
        Command3.Caption = "&Riprendi"
    ElseIf Mp3OCX.PlayState = 2 Then
        Command3.Caption = "P&ausa"
    End If
End Sub


Private Sub Command4_Click()
    'Termina la riproduzione.
    Mp3OCX.Stop
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    'Termina la riproduzione.
    Mp3OCX.Stop
End Sub

Private Sub Mp3OCX_Started(ByVal Frames As Long)
    'Disattiva il pulsante "Play".
    Command2.Enabled = False
    'Attiva i pulsanti "Pausa" e "Stop.
    Command3.Enabled = True
    Command4.Enabled = True
End Sub

Private Sub Mp3OCX_ThreadEnded(ByVal ExitCode As MP3OCXLib.ThreadErrors)
    'Attiva il pulsante "Play".
    Command2.Enabled = True
    'Disattiva i pulsanti "Pausa" e "Stop".
    Command3.Enabled = False
    Command3.Caption = "P&ausa"
    Command4.Enabled = False
End Sub

Private Sub optOscilloscopio_Click(Index As Integer)
    Mp3OCX.OscilloType = Index
End Sub


