VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "HookedCommonDialog (Demo by Marco Minerva)"
   ClientHeight    =   5295
   ClientLeft      =   2400
   ClientTop       =   1650
   ClientWidth     =   6240
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "Main.frx":0000
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   6240
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtFile 
      Height          =   4875
      Left            =   60
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   2
      Top             =   360
      Width           =   6135
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "&Apri..."
      Height          =   375
      Left            =   5040
      TabIndex        =   0
      Top             =   0
      Width           =   1095
   End
   Begin ComctlLib.ImageList ilsIcons16 
      Left            =   6840
      Top             =   -60
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   2
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "Main.frx":000C
            Key             =   "HTML"
         EndProperty
         BeginProperty ListImage2 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "Main.frx":0326
            Key             =   "TEXT"
         EndProperty
      EndProperty
   End
   Begin ComctlLib.ImageList ilsIcons32 
      Left            =   6240
      Top             =   -60
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   32
      ImageHeight     =   32
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   2
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "Main.frx":0640
            Key             =   "HTML"
         EndProperty
         BeginProperty ListImage2 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "Main.frx":095A
            Key             =   "TEXT"
         EndProperty
      EndProperty
   End
   Begin VB.Label lblFile 
      AutoSize        =   -1  'True
      Caption         =   "File selezionato:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   60
      TabIndex        =   1
      Top             =   120
      Width           =   1125
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdNew_Click()
    Dim fN As New frmOpen
    'Imposta la finestra di dialogo.
    With fN
        .frmCaption = "Apri file"
        .SplashString = "Apri file (esempio di utilizzo)"
        .Filter = "File di testo (*.txt)|*.TXT|Tutti i file (*.*)|*.*"
        .FilterIndex = 1
        .DefaultExt = "TXT"
        .Flags = OFN_FILEMUSTEXIST Or OFN_PATHMUSTEXIST
        .AddNewType "Documento HTML", "HTML"
        .AddNewType "File di testo", "TEXT"
        'Riempie la scheda "Recenti" con dei file fittizzi.
        .AddExistItem "Prova1.txt", App.Path & "\Prova1.txt", "2 Giugno 1999 16.45", "TEXT"
        .AddExistItem "Index.htm", App.Path & "\Index.htm", "3 Giugno 1999 14.32", "HTML"
        .AddExistItem "Prova2.txt", App.Path & "\Prova2.txt", "12 Maggio 1999 9.37", "TEXT"
        .NewImageList = ilsIcons32
        .ExistingImageList = ilsIcons16
        .Show vbModal
    End With
    If Not fN.Cancelled Then
        If (fN.IsNew) Then
            lblFile.Caption = "File selezionato: nuovo " & fN.FileName
            txtFile.Text = ""
        Else
            lblFile.Caption = "File selezionato: " & fN.FileName
            txtFile.Text = GetFileText(fN.FileName)
        End If
    End If
End Sub
Private Function GetFileText(ByVal sFile As String) As String
On Error GoTo GetFileTextError
Dim iFIle As Integer
Dim sBuf As String
    iFIle = FreeFile
    Open sFile For Binary Access Read As #iFIle
    sBuf = String$(LOF(iFIle), 32)
    Get #iFIle, , sBuf
    Close #iFIle
    GetFileText = sBuf
    Exit Function

GetFileTextError:
    MsgBox "Impossibile aprire il file: " & sFile & vbCrLf & "[" & Err.Number & ":" & Err.Description & "]", vbExclamation
    Close #iFIle
    Exit Function
End Function

